tigase.net

## Interface ConnectionOpenListener

-     public interface ConnectionOpenListener

  Describe interface ConnectionOpenListener here. Created: Thu Jan 26 00:00:39 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEF_RECEIVE_BUFFER_SIZE` `RECEIVE_BUFFER_SIZE` defines a size for TCP/IP packets.
    `static int` | `DEF_TRAFFIC_CLASS` Field description
    `static int` | `IPTOS_LOWCOST` Field description
    `static int` | `IPTOS_LOWDELAY` Field description
    `static int` | `IPTOS_RELIABILITY` Field description
    `static int` | `IPTOS_THROUGHPUT` Field description

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(SocketChannel sc)` Method description
    `ConnectionType` | `getConnectionType()` Method description
    `String[]` | `getIfcs()` Method description
    `int` | `getPort()` Method description
    `int` | `getReceiveBufferSize()` Method description
    `InetSocketAddress` | `getRemoteAddress()` Method description
    `String` | `getRemoteHostname()` Method description
    `SocketType` | `getSocketType()` Method description
    `String` | `getSRVType()` Method description
    `int` | `getTrafficClass()` Method description

- - ### Field Detail

    - #### DEF_RECEIVE_BUFFER_SIZE

          static final int DEF_RECEIVE_BUFFER_SIZE

      `RECEIVE_BUFFER_SIZE` defines a size for TCP/IP packets. XMPP data packets are quite small usually, below 1kB so we don't need big TCP/IP data buffers.
      See Also:
        Constant Field Values

    - #### IPTOS_LOWCOST

          static final int IPTOS_LOWCOST

      Field description
      See Also:
        Constant Field Values

    - #### IPTOS_LOWDELAY

          static final int IPTOS_LOWDELAY

      Field description
      See Also:
        Constant Field Values

    - #### IPTOS_RELIABILITY

          static final int IPTOS_RELIABILITY

      Field description
      See Also:
        Constant Field Values

    - #### IPTOS_THROUGHPUT

          static final int IPTOS_THROUGHPUT

      Field description
      See Also:
        Constant Field Values

    - #### DEF_TRAFFIC_CLASS

          static final int DEF_TRAFFIC_CLASS

      Field description
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### accept

          void accept(SocketChannel sc)

      Method description
      Parameters:
        `sc` -

    - #### getPort

          int getPort()

      Method description
      Returns:

    - #### getIfcs

          String[] getIfcs()

      Method description
      Returns:

    - #### getSRVType

          String getSRVType()

      Method description
      Returns:

    - #### getRemoteHostname

          String getRemoteHostname()

      Method description
      Returns:

    - #### getRemoteAddress

          InetSocketAddress getRemoteAddress()

      Method description
      Returns:

    - #### getConnectionType

          ConnectionType getConnectionType()

      Method description
      Returns:

    - #### getSocketType

          SocketType getSocketType()

      Method description
      Returns:

    - #### getReceiveBufferSize

          int getReceiveBufferSize()

      Method description
      Returns:

    - #### getTrafficClass

          int getTrafficClass()

      Method description
      Returns:

Copyright © 2013 Tigase. All rights reserved.